-- XP
function Bolts_OnGiveXP(recipe, ingredients, result, player)
	print("Bolt created: Adding XP");
    player:getXp():AddXP(Perks.Woodwork, 20);
     player:getXp():AddXP(Perks.Electricity, 5);
end
function AluminumBolts_OnGiveXP(recipe, ingredients, result, player)
	print("Aluminum Bolt created: Adding XP");
    player:getXp():AddXP(Perks.Electricity, 50);
end
function WoodenCrossbow_OnGiveXP(recipe, ingredients, result, player)
	print("Wooden Crossbow created: Adding XP");
    player:getXp():AddXP(Perks.Woodwork, 100);
	player:getXp():AddXP(Perks.Electricity, 50);
end
function HeavyCrossBow_OnGiveXP(recipe, ingredients, result, player)
	print("Heavy Crossbow created: Adding XP");
    player:getXp():AddXP(Perks.Woodwork, 1200);
	player:getXp():AddXP(Perks.Electricity, 800);
end
function RepeaterCrossbow_OnGiveXP(recipe, ingredients, result, player)
	print("Repeater Crossbow created: Adding XP");
    player:getXp():AddXP(Perks.Woodwork, 2000);
	player:getXp():AddXP(Perks.Electricity, 1500);
end

-- Test
function AluminumBolt_OnTest(sourceItem, result)   
	return nearFire() and meetsSkillRequirement(ZXBconfig.aluminumbolt_electricity, Perks.Electricity);
end
function FireBolt_OnTest(sourceItem, result) 
	
	return meetsSkillRequirement(ZXBconfig.firebolt_reloading, Perks.Reloading);
end
function ExplosivesBolt_OnTest(sourceItem, result) 
	-- Required 8
	return meetsSkillRequirement(ZXBconfig.explosivebolt_electricity, Perks.Electricity);
end

function HeavyCrossbow_OnTest(sourceItem, result) 
	-- Required 5
	return nearFire() and meetsSkillRequirement(ZXBconfig.heavycrossbow_woodwork, Perks.Woodwork);
end
function RepeaterCrossbow_OnTest(sourceItem, result) 
	-- Required 8 Woodwork and 3 ENgineering
	return meetsSkillRequirement(ZXBconfig.repeatercrossbow_woodwork, Perks.Woodwork) 
		   and meetsSkillRequirement(ZXBconfig.repeatercrossbow_electricity, Perks.Electricity);
end

function nearFire()
	local pos = getPlayer():getCurrentSquare();	
	for x = pos:getX() - 1, pos:getX() + 1 do
		for y = pos:getY() - 1, pos:getY() + 1 do
			local fp = getFireplace(x,y,pos:getZ());
			if fp and fp.isLit then
				return true;
			end
		end
	end
	return false;
end
function getFireplace(x, y, z)
	local gs = getCell():getGridSquare(x, y, z);
	return camping.getCurrentCampfire(gs);
end
function meetsSkillRequirement(requiredLvl, perk)
    local player = getPlayer();
	local perkLvl = player:getPerkLevel(perk);
	if perkLvl >= requiredLvl then
		return true;
	end	
	return false;
end